var productGroup = environment["productGroup"];
var tirtosSupport = environment["tirtosSupport"];
var rootString = "ti.uia.examples.root";

if (tirtosSupport == "true") {
    rootString = "examples.root_" + productGroup;
}

var singleCoreExamples = [
    {
        groups:[rootString + ".uia.singlecore"],
        groupsTI: [rootString + ".uia.targetsTI.singlecoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.singlecoreGNU"],
        title: "Hello World",
        name: "helloWorld",
        description: "A basic example that logs a hello world string that can be viewed using System Analyzer.",
        root: "./helloworld/",
        cFile: "main.c",
        cfgFile: "helloWorld.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS" ],
        options: "NPW,TREX",
    },
    {
        groups:[rootString + ".uia.singlecore"],
        groupsTI: [rootString + ".uia.targetsTI.singlecoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.singlecoreGNU"],
        title: "Stairstep JTAG StopMode",
        name: "stairstepStopMode",
        description: "The stairstep example runs continuously and periodically generates log events. Different threads (Hwi, Swi, Task) run to present a CPU load to the system.  The Log data is obtained when the target is halted.  The sizes of the loggers in LoggingSetup might need to be decreased if your target does not have enough memory.",
        root: "./single/",
        cFile: "stairstep.c",
        cfgFile: "stairstep_JTAGStopMode.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS" ],
        options: "NPW,TREX",
    },
/*
    {
        groups:[rootString + ".uia.singlecore"],
        groupsTI: [rootString + ".uia.targetsTI.singlecoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.singlecoreGNU"],
        title: "LoggerStreamer Example",
        description: "Example showing the usage of LoggerStreamer and LogUC.h",
        root: "./single/",
        cFile: "logger.c",
        cfgFile: "logger.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS" ],
        options: "NPW,TREX",
    },
*/
];

var NDKExamples = [
    {
        groups:[rootString + ".uia.singlecore"],
        groupsTI: [rootString + ".uia.targetsTI.singlecoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.singlecoreGNU"],
        title: "Stairstep Ethernet",
        name: "stairstepEthernet",
        description: "The stairstep example runs continuously and periodically generates log events. Different threads (Hwi, Swi, Task) run to present a CPU load to the system. Log data is obtained via Ethernet. The sizes of the loggers in LoggingSetup might need to be decreased if your target does not have enough memory.  This example, as is, only works for the EVM6472 board. Refer to the bottom of the .cfg file on how to use on a different board.",
        root: "./single/",
        cFile: "stairstep.c",
        cfgFile: "stairstep_Ethernet.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.NDK" ],
        options: "NPW,TREX",
    },
];

var MessageQExamples = [
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "MessageQ (single image for all cores)",
        name: "MessageQ",
        description: "The message example shows how to use MessageQ on EVM6472 and UIA. It is a single-image example that must be loaded on all cores. A message is sent from core 0 to core 1 to core 2...back to core 0. The UIABenchmark_start and stop is used on core 0 to determine the duration of a round trip. The Log data is obtained via Ethernet.",
        root: "./evm6472/",
        cFile: "message.c",
        cfgFile: "message.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.NDK", "com.ti.rtsc.IPC" ],
        options: "NPW,TREX",
    },
];

var EVMTI816X_DSPExamples = [
    // LoggerCircBuf example. Note: TREX uses the title in the project
    // name, so it should not be too long.  Also, embeded quotes in the
    // description will cause examples to not show up in TREX (TI Resource
    // Explorer)
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerCircBuf for the DSP",
        name: "loggerCircBufDSP",
        description: "This DSP example uses LoggerCircBuf to log benchmark events. The events are routed through the ServiceMgr on Linux. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "dspLoggerCircBuf.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
    // LoggerSM example
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerSM for the DSP",
        name: "loggerSMDSP",
        description: "This DSP example uses LoggerSM to log benchmark events. The events can be displayed to the Linux console or written to a binary file. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "dspLoggerSM.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
];

var EVMTI816X_VideoM3Examples = [
    // LoggerCircBuf example - video M3
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerCircBuf for the video M3",
        name: "loggerCircBufVideoM3",
        description: "This Video M3 example uses LoggerCircBuf to log benchmark events. The events are routed through the ServiceMgr on Linux. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "videoM3LoggerCircBuf.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
    // LoggerSM example - video M3
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerSM for the video M3",
        name: "loggerSMVideoM3",
        description: "This Video M3 example uses LoggerSM to log benchmark events. The events can be displayed to the Linux console or written to a binary file. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "videoM3LoggerSM.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
];

var EVMTI816X_VpssM3Examples = [
    // LoggerCircBuf example - vpss M3
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerCircBuf for the vpss M3",
        name: "loggerCircBufVpssM3",
        description: "This VPSS M3 example uses LoggerCircBuf to log benchmark events. The events are routed through the ServiceMgr on Linux. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "vpssM3LoggerCircBuf.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
    // LoggerSM example - vpss M3
    {
        groups:[rootString + ".uia.multicore"],
        groupsTI: [rootString + ".uia.targetsTI.multicoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.multicoreGNU"],
        title: "evmti816x: SimpleTask with LoggerSM for the vpss M3",
        name: "loggerSMVpssM3",
        description: "This VPSS M3 example uses LoggerSM to log benchmark events. The events can be displayed to the Linux console or written to a binary file. The program benchmarks the duration to run an algorithm. Refer to the Getting Started Guide for a more detailed description.",
        root: "./evmti816x/",
        cFile: "simpleTask.c",
        cfgFile: "vpssM3LoggerSM.cfg",
        fileList: [],
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS", "com.ti.rtsc.IPC"],
        options: "NPW,TREX",
    },
];

var examplesC6000 = [
    // JTAG RunMode
    {
        groups:[rootString + ".uia.singlecore"],
        groupsTI: [rootString + ".uia.targetsTI.singlecoreTI"],
        groupsGNU: [rootString + ".uia.targetsGNU.singlecoreGNU"],
        title: "Stairstep JTAG RunMode",
        name: "stairstepRunMode",
        root: "./single/",
        cFile: "stairstep.c",
        cfgFile: "stairstep_JTAGRunMode.cfg",
        fileList: [],
        description: "The stairstep example runs continuously and periodically generates log events. Different threads (Hwi, Swi, Task) run to present a CPU load to the system. The Log data is obtained by reading the running target (only works on C64X+ and C66 CPUs). The sizes of the loggers in LoggingSetup might need to be decreased if your target does not have enough memory.",
        isHybrid: true,
        requiredProducts: [ "com.ti.rtsc.SYSBIOS" ],
        options: "NPW,TREX",
    },
];



var c28Examples = [
    /* c28 specific examples */
]

var msp430Examples = [
    /* MSP430 specific examples */
]
